org.apache.ignite.internal.cache.query.index.sorted.keys

## Class AbstractTimeIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.AbstractTimeIndexKey

All Implemented Interfaces:
  IndexKey

    public abstract class AbstractTimeIndexKey
    extends Object
    implements IndexKey

Abstract class for representing Time index key. `TimeInlineIndexKeyType` relies on this API to store an object in inline.

### Constructor Summary

Constructors
Constructor and Description
`AbstractTimeIndexKey()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract long` `nanos()`
`int` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`compare, key`

### Constructor Detail

#### AbstractTimeIndexKey

    public AbstractTimeIndexKey()

### Method Detail

#### nanos

    public abstract long nanos()

Returns:
  nanoseconds since midnight.

#### type

    public int type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyTypes`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022